Subject: RE: Sergey's latest cygwin.dll and pdksh
From: [email-masked] (Sergey Okhapkin)

16 Jun 1997 07:06:22 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]" <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>
Encoding: 38 TEXT
Original-Sender: [email-masked]

Chris Faylor wrote:
> >It's easy for me to fix this bug, if anyone will answer my question -
> >should sigsuspend() (and the others blocking calls) terminate when
> >receiving blocked or uncatched signal?
>
> Sergey,
> If I run the code below on a variety of UNIX systems and tell you how it
> works, will that answer your question?
>
> #include <signal.h>
> main()
> {
>     sigset_t nada = 0L;
>     if (fork() == 0) {
> 	sleep(2);
> 	exit(0);
>     }
>
>     sigsuspend(&nada);
>     puts("returned");
>     exit(0);
> }
>
> FYI, I ran this on one system here (Digital UNIX 3.2C) and it blocked
> forever.  If this isn't quite right, then, if it is possible, could you
> modify this (or throw it away and start from scratch) to show the answer
> to your question?

I've tried something like it on linux with the same result - blocked, 
ignored or uncatched signals with ignore as a default disposition, does not 
terminates wait calls. So, I have no ideas now why zsh's SIGCHLD behavior  
 differs on unixes and on cygwin...

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".